%global gitrev 6a0911e
%global posttag git%{gitrev}
%global snapshot %{version}-%{posttag}
%global tarballname pybugz-%{version}

Name:       pybugz-draft
Summary:    Command line interface for Bugzilla written in Python
Version:    0.10
Release:    2.%{posttag}%{?dist}
Group:      Applications/Communications
License:    GPLv2
URL:        https://github.com/praiskup/pybugz
BuildArch:  noarch
Conflicts:  pybugz

Requires:       python2
BuildRequires:  python2-devel
BuildRequires:  bash-completion pkgconfig

# Generated from: https://github.com/praiskup/pybugz
Source0: %{tarballname}.tar.gz

# make the installation better useful for bugzilla.redhat.com users
# ~> downstream
Patch0: %{name}-0.10-git683dd-rh-specific.patch


%description
Pybugz was conceived as a tool to speed up the work-flow for Gentoo Linux
contributors when dealing with bugs using Bugzilla.  By avoiding the clunky web
interface, the user can search, isolate and contribute to the project very
quickly.  Developers alike can easily extract attachments and close bugs
comfortably from the command line.


%prep
%setup -q -n %{tarballname}
%patch0 -p1 -b .rh-specific

%build
%{__python} setup.py build

%install
# default install process
%{__python} setup.py install --root=%{buildroot}

# find the proper directory to install bash-completion script
%global bash_cmpl_dir %(pkg-config --variable=completionsdir bash-completion)
%if %( test -z "%bash_cmpl_dir" && echo 1 || echo 0 )
# rhel6 bash completion does not ship pkg-config file
%global bash_cmpl_dir %{_sysconfdir}/bash_completion.d
%endif

mkdir -p %{buildroot}%{bash_cmpl_dir}
cp %{_builddir}/%{tarballname}/contrib/bash-completion \
   %{buildroot}%{bash_cmpl_dir}/bugz

mkdir -p %{buildroot}%{_mandir}/man1
mv man/bugz.1 %{buildroot}%{_mandir}/man1/bugz.1
mkdir -p %{buildroot}%{_docdir}

%clean

%files
%{_bindir}/bugz
%{python_sitelib}/bugz
%{bash_cmpl_dir}
%{python_sitelib}/pybugz-*.egg-info
%{_mandir}/man1/bugz.1.gz
%dir %{_sysconfdir}/pybugz
%config %{_sysconfdir}/pybugz/*
%doc README LICENSE

%changelog
* Wed Apr 16 2014 Pavel Raiskup <praiskup@redhat.com> - 0.10-2.git6a0911e
- fix build for RHEL6 (fix for bash-completion script handling)

* Tue Apr 15 2014 Pavel Raiskup <praiskup@redhat.com> - 0.10-1.git6a0911e
- First release as pybugz-draft
